# Add SDK to your App

[Node.js](#nodejs) | [Web](#web)

## Node.js

> Our library is fully-annotated with `.d.ts` files so we recommend to write your applications in Typescript.

Let's start with a clean npm project.

```
mkdir hello
cd hello
npm init -y
```

Now lets install core package and bridge package for Node.js

```
npm i --save @eversdk/core
npm i --save @eversdk/lib-node
```

If you want to use high-level [AppKit](https://github.com/everx-labs/ever-appkit-js) package then install this package as well:

```
npm i --save @eversdk/appkit
```

You must initialize the library before the first use. The best place to do it is an initialization code of your application.

You need to attach the chosen binary module to the `TonClient` class. Create `index.js` file and add this code:

```
const {TonClient} = require("@eversdk/core");
const {libNode} = require("@eversdk/lib-node");

// Application initialization
TonClient.useBinaryLibrary(libNode)
```

That's it! Now you are ready to create and[ configure TONClient object!](/ever-sdk/guides/configuration/endpoint-configuration.md)

## Web

> Our library is fully-annotated with `.d.ts` files so we recommend to write your applications in Typescript.

Let's start with a clean project.

```
mkdir hello
cd hello
npm init -y
```

**Installation**

Now lets install core package and bridge package for Web

```
npm i --save @eversdk/core
npm i --save @eversdk/lib-web
```

**Important!** Each time you run `npm install` the new version of the `eversdk.wasm` and `index.js` is downloaded. So you have to always update the `eversdk.wasm` inside your web package before publishing (starting local web server, creating web bundle etc.). If you use Webpack the best way is to use CopyPlugin.

If you want to use high-level [AppKit](https://github.com/everx-labs/ever-appkit-js) package then install this package as well:

```
npm i --save @eversdk/appkit
```

You must initialize the library before the first use. The best place to do it is in initialization code of your application.

You need to attach the chosen binary module to the `TonClient` class:

```
import { TonClient } from '@eversdk/core';
import { libWeb } from '@eversdk/lib-web';

TonClient.useBinaryLibrary(libWeb);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everos.dev/ever-sdk/guides/installation/add_sdk_to_your_app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
